# Return AutoSSL renewal status for a domain This function returns the AutoSSL renewal status for a domain. It indicates whether AutoSSL is active, the domain is excluded, the domain has DCV problems, and whether the certificate will auto-renew. Endpoint: GET /SSL/get_autossl_renewal_status Version: 11.136.0.2 Security: BasicAuth ## Query parameters: - `domain` (string, required) The fully qualified domain name to check. Example: "example.com" ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "get_autossl_renewal_status" - `module` (string) The name of the module called. Example: "SSL" - `result` (object) - `result.data` (object) An object that contains the AutoSSL renewal status for the domain. - `result.data.has_problems` (integer) Whether AutoSSL has DCV failures recorded for this domain. Defaults to 1 if the problems database is unreachable. Enum: 0, 1 - `result.data.is_active` (integer) Whether an AutoSSL provider is configured on the server. Enum: 0, 1 - `result.data.is_excluded` (integer) Whether the domain is on the user's AutoSSL exclusion list. Enum: 0, 1 - `result.data.will_renew` (integer) Whether AutoSSL will auto-renew the certificate for this domain. Only true when the server has an active AutoSSL provider, the current certificate was issued by that provider, the domain is not excluded, and there are no recorded DCV problems. Enum: 0, 1 - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * - Success. * - Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.